<template>
  <v-card class="step">
    <v-row>
      <v-col class="text-h3 ma-4 line-height">
        Select the speed at which the ECG was recorded. You can usually find it written at the top or bottom of the ECG
        paper.
      </v-col>
    </v-row>
    <v-row>
      <v-col cols="3" class="ma-4">
        <v-select
          v-model="speed"
          :items="speedItems"
          item-text="text"
          item-value="value"
          label="speed in mm/s"
          solo
          single-line
          outlined
        ></v-select>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'Speed',
  data() {
    return {
      color: 'white',
      select: {
        text: '25 mm/s',
        value: 25,
      },
      speedItems: [
        {
          text: '25 mm/s',
          value: 25,
        },
        {
          text: '50 mm/s',
          value: 50,
        },
      ],

    };
  },
  computed: {
    ...mapState([
      'speed',
    ]),
    speed: {
      get() {
        return this.$store.state.speed;
      },
      set(value) {
        this.$store.commit('setSpeed', value);
        this.$store.dispatch('setCalculatedRate');
        this.$store.dispatch('setTimeActions');
      },
    },
  },
};
</script>

<style scoped>
.line-height{
  line-height: 75px;
}
</style>
